<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xddf.usermodel.chart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xddf.usermodel.chart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xddf.usermodel.chart</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                            title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
                            title="interface in org.apache.poi.xddf.usermodel.chart">XDDFDataSource</a>&lt;T&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                            title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;T
                        extends java.lang.Number&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFBarChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFBarChartData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFCategoryAxis</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a></td>
                    <td class="colLast">
                        <div class="block">Base class for all axis types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData</a></td>
                    <td class="colLast">
                        <div class="block">Base of all XDDF Chart Data</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartExtensionList.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartExtensionList</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartLegend.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartLegend</a></td>
                    <td class="colLast">
                        <div class="block">Represents a DrawingML chart legend</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFDataSourcesFactory</a></td>
                    <td class="colLast">
                        <div class="block">Class <code>XDDFDataSourcesFactory</code> is a factory for <a
                                href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
                                title="interface in org.apache.poi.xddf.usermodel.chart"><code>XDDFDataSource</code></a>
                            instances.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFDateAxis</a></td>
                    <td class="colLast">
                        <div class="block">Date axis type.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLayout.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFLayout</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLegendEntry.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFLegendEntry</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLineChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFLineChartData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFManualLayout</a></td>
                    <td class="colLast">
                        <div class="block">Represents a DrawingML manual layout.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFPieChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFPieChartData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFRadarChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFRadarChartData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFScatterChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFScatterChartData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFSeriesAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFSeriesAxis</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFTitle.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFTitle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrossBetween.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrossBetween</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrosses.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrosses</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisLabelAlignment.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisLabelAlignment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisOrientation.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisOrientation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickLabelPosition.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickLabelPosition</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/BarDirection.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">BarDirection</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/BarGrouping.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">BarGrouping</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/ChartTypes.html"
                                            title="enum in org.apache.poi.xddf.usermodel.chart">ChartTypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/DisplayBlanks.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">DisplayBlanks</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/Grouping.html"
                                            title="enum in org.apache.poi.xddf.usermodel.chart">Grouping</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                            title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutTarget.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">LayoutTarget</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/LegendPosition.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">LegendPosition</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/MarkerStyle.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">MarkerStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/RadarStyle.html"
                                            title="enum in org.apache.poi.xddf.usermodel.chart">RadarStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/ScatterStyle.html"
                            title="enum in org.apache.poi.xddf.usermodel.chart">ScatterStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
